Bug 1549862 (CVE-2017-18205) - CVE-2017-18205 zsh: NULL dereference in cd in sh compatibility mode under given circumstances
Summary: CVE-2017-18205 zsh: NULL dereference in cd in sh compatibility mode under giv...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-18205
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170613,reported=2...
Depends On: 1570881 1570882
Blocks: 1549839
TreeView+ depends on / blocked
 
Reported: 2018-02-27 22:36 UTC by Laura Pardo
Modified: 2019-06-08 22:43 UTC (History)
5 users (show)

Fixed In Version: zsh 5.4
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in the code responsible for the cd builtin command of the zsh package. An attacker could use this flaw to cause a denial of service by crashing the user shell.
Clone Of:
Environment:
Last Closed: 2018-11-30 00:30:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3073 None None None 2018-10-30 07:30:24 UTC

Description Laura Pardo 2018-02-27 22:36:40 UTC
A flaw was found in zsh prior 5.3.1. There is a vulnerability when in sh compatibility mode if HOME was not set
and cd was used with no argument.


References:
https://sourceforge.net/p/zsh/code/ci/eb783754bdb74377f3cea4ceca9c23a02ea1bf58

Comment 1 Kamil Dudka 2018-03-06 14:08:24 UTC
(In reply to Laura Pardo from comment #0)
> A flaw was found in zsh prior 5.3.1.

The commit you refer to landed (217 commits) _after_ the 5.3.1 release.

Comment 2 Kamil Dudka 2018-03-06 15:47:00 UTC
fixed in zsh-5.3.1-7.fc26

Comment 5 errata-xmlrpc 2018-10-30 07:30:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3073 https://access.redhat.com/errata/RHSA-2018:3073


Note You need to log in before you can comment on or make changes to this bug.